#
# spec file for package kdepim-addons
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without lang

Name:           kdepim-addons
Version:        17.12.3
Release:        lp150.1.2
%define kf5_version 5.26.0
# Latest stable Applications (e.g. 17.08 in KA, but 17.11.80 in KUA)
%{!?_kapp_version: %global _kapp_version %(echo %{version}| awk -F. '{print $1"."$2}')}
Summary:        Addons for KDEPIM applications
License:        GPL-2.0-only
Group:          Productivity/Graphics/Other
Url:            http://www.kde.org
Source0:        %{name}-%{version}.tar.xz
# PATCH-FIX-UPSTREAM
Patch0:         Place-events-without-start-date-at-end-date.patch
BuildRequires:  akonadi-calendar-devel
BuildRequires:  akonadi-import-wizard-devel
BuildRequires:  akonadi-notes-devel
BuildRequires:  akonadi-server-devel
BuildRequires:  calendarsupport-devel
BuildRequires:  eventviews-devel
BuildRequires:  extra-cmake-modules
BuildRequires:  fdupes
BuildRequires:  grantleetheme-devel
BuildRequires:  incidenceeditor-devel
BuildRequires:  kcalutils-devel
BuildRequires:  kconfig-devel
BuildRequires:  kdbusaddons-devel
BuildRequires:  kdeclarative-devel
BuildRequires:  kdepim-apps-libs-devel
BuildRequires:  kf5-filesystem
BuildRequires:  ki18n-devel
BuildRequires:  kmailtransport-devel
BuildRequires:  ktnef-devel
BuildRequires:  kxmlgui-devel
BuildRequires:  libgravatar-devel
BuildRequires:  libkdepim-devel
BuildRequires:  libkgapi-devel
BuildRequires:  libkleo-devel
BuildRequires:  mailcommon-devel
BuildRequires:  mailimporter-devel
BuildRequires:  messagelib-devel
BuildRequires:  pimcommon-devel
BuildRequires:  prison-qt5-devel
BuildRequires:  update-desktop-files
BuildRequires:  cmake(KF5LibKSieve)
BuildRequires:  pkgconfig(Qt5Concurrent) >= 5.6.0
BuildRequires:  pkgconfig(Qt5DBus) >= 5.6.0
BuildRequires:  pkgconfig(Qt5OpenGL) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Test) >= 5.6.0
BuildRequires:  pkgconfig(Qt5UiTools) >= 5.6.0
BuildRequires:  pkgconfig(Qt5WebEngine) >= 5.6.0
BuildRequires:  pkgconfig(Qt5WebEngineWidgets) >= 5.6.0
BuildRequires:  pkgconfig(Qt5Widgets) >= 5.6.0
BuildRequires:  pkgconfig(Qt5X11Extras) >= 5.6.0
BuildRequires:  pkgconfig(Qt5XmlPatterns) >= 5.6.0
%if 0%{?suse_version} > 1325
BuildRequires:  libboost_headers-devel
%else
BuildRequires:  boost-devel
%endif
%if %{with lang}
Recommends:     %{name}-lang
%endif
Requires(post):    shared-mime-info
Requires(postun):  shared-mime-info
# It can only build on the same platforms as Qt Webengine
ExclusiveArch:  %{ix86} x86_64 %{arm} aarch64 mips mips64
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
addons for kdepim apps (as kmail addons/ kmail theme/ kaddressbook addons etc)

%if %{with lang}
%lang_package
%endif

%prep
%setup -q
%patch0 -p1

%build
%cmake_kf5 -d build -- -DKDEPIMADDONS_BUILD_EXAMPLES=FALSE
%make_jobs

%install
  %kf5_makeinstall -C build
  %if %{with lang}
    %find_lang %{name} --with-man --all-name
  %endif

%post
/sbin/ldconfig
%mime_database_post

%postun
/sbin/ldconfig
%mime_database_postun

%files
%defattr(-,root,root)
%config %{_kf5_configdir}/kdepim-addons.categories
%config %{_kf5_configdir}/kdepim-addons.renamecategories
%config %{_kf5_configdir}/kmail.antispamrc
%config %{_kf5_configdir}/kmail.antivirusrc
%dir %{_kf5_libdir}/contacteditor
%dir %{_kf5_libdir}/contacteditor/editorpageplugins
%dir %{_kf5_plugindir}
%dir %{_kf5_plugindir}/messageviewer
%dir %{_kf5_plugindir}/messageviewer/bodypartformatter
%dir %{_kf5_qmldir}/org/kde/plasma
%{_kf5_bindir}/kmail_antivir.sh
%{_kf5_bindir}/kmail_clamav.sh
%{_kf5_bindir}/kmail_fprot.sh
%{_kf5_bindir}/kmail_sav.sh
%{_kf5_libdir}/contacteditor/editorpageplugins/cryptopageplugin.so
%{_kf5_libdir}/libadblocklibprivate.so.*
%{_kf5_libdir}/libkaddressbookimportexportlibprivate.so.*
%{_kf5_libdir}/libkaddressbookmergelibprivate.so.*
%{_kf5_libdir}/libshorturlpluginprivate.so*
%{_kf5_plugindir}/importwizard/
%{_kf5_plugindir}/contacteditor/
%{_kf5_plugindir}/kaddressbook/
%{_kf5_plugindir}/kmail/
%{_kf5_plugindir}/korg_datenums.so
%{_kf5_plugindir}/korg_picoftheday.so
%{_kf5_plugindir}/korg_thisdayinhistory.so
%{_kf5_plugindir}/libksieve/
%{_kf5_plugindir}/mailtransport/
%{_kf5_plugindir}/pimcommon/
%{_kf5_plugindir}/plasmacalendarplugins/
%{_kf5_plugindir}/templateparser/
%{_kf5_plugindir}/webengineviewer/
%{_kf5_plugindir}/messageviewer/bodypartformatter/messageviewer_bodypartformatter*.so
%{_kf5_plugindir}/messageviewer/messageviewer_*.so
%{_kf5_qmldir}/org/kde/plasma/PimCalendars/
%{_kf5_servicesdir}/korganizer/
%{_kf5_sharedir}/contacteditor/
%{_kf5_sharedir}/kconf_update/webengineurlinterceptoradblock.upd
%{_kf5_sharedir}/kmail2/
%{_kf5_sharedir}/mime/packages/application-vnd-apple-pkpass.xml

%if %{with lang}
%files lang -f %{name}.lang
%doc COPYING*
%endif

%changelog
* Sun Mar 11 2018 wbauer@tmo.at
- Add Place-events-without-start-date-at-end-date.patch to avoid
  an infinite loop that would cause Plasma to freeze when there was
  an agenda item with no start date in the calendar
  (boo#1084802, kde#367541)
* Thu Mar  8 2018 lbeltrame@kde.org
- Update to 17.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.3.php
- Changes since 17.12.2:
  * Fix Bug 389820 - spamassassin (kde#389820)
* Wed Feb  7 2018 lbeltrame@kde.org
- Update to 17.12.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.2.php
- Changes since 17.12.1:
  * it uses https
  * This service uses https now
* Thu Jan 11 2018 lbeltrame@kde.org
- Update to 17.12.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.1.php
- Changes since 17.12.0:
  * We still need it as a slot.
* Sat Dec  9 2017 lbeltrame@kde.org
- Update to 17.12.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12.0.php
- Changes since 17.11.90:
  * We still need it as a slot.
  * Fix Bug 387619 - Some of Mailsploit test patterns are incorrectly decoded (kde#387619)
  * Adapt to Qt 5.10 rc2 API changes
* Sat Dec  2 2017 lbeltrame@kde.org
- Update to 17.11.90
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12-rc.php
- Changes since 17.11.80:
  * Make sure that rednertest are executed with a defined color style.
  * Implement remove filter
  * Make it possible to show corretly if the localstore job is running.
  * show if key is unknown.
  * always show keydetails from mimepart
  * hasKey is not used anymore
  * test is we there are valid keydata in the mime content.
  * Make it possible to show corretly if the keyring job is running.
  * Compile it when we use BUILD_TESTING
  * Build it when we use BUILD_TESTING
  * Fix check minimum version
  * It can't be empty
  * Fix version
  * Don't build it in release mode
  * fix tests on CI (hopefully).
* Mon Nov 20 2017 lbeltrame@kde.org
- Update to 17.11.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.12-beta.php
- Changes since 17.08.3:
  * Too many changes to list here
* Thu Nov  9 2017 lbeltrame@kde.org
- Update to 17.08.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.3.php
- Changes since 17.08.2:
  * We need to load value not saving it
* Mon Oct 16 2017 lbeltrame@kde.org
- Update to 17.08.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.2.php
- Changes since 17.08.1:
  * Fix memory leak and crash in Plasma events plugin configuration (kde#376220)
  * Allow to check all features
* Thu Sep  7 2017 lbeltrame@kde.org
- Update to 17.08.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.08.1.php
- Changes since 17.08.0:
  * Allow to check all features
  * Allow to translate plugin
  * Fix i18n message it's email addresses not message
  * PimEventsPlugin: handle Items with no payload
  * Remove double margin
  * Reduce duplicate code
  * Reduce duplicate code
  * Fix attachement mail
  * Update buttons when we fill combobox
  * Fix update button
  * Don't ask twice when we want to overwrite file
  * Don't ask twice if we want to overwrite file
* Fri Aug 11 2017 christophe@krop.fr
- Update to KDE Applications 17.08.0
  * New feature release
  * https://www.kde.org/announcements/announce-applications-17.08.0.php
- Changes since 17.04.3 :
- Too many changes to list here
* Sat Aug  5 2017 christophe@krop.fr
- Update to KDE Applications 17.07.90
  * KDE Applications 17.07.90
  * https://www.kde.org/announcements/announce-applications-17.07.90.php
- Drop fix-saving-adblock-settings.patch (merged upstream)
* Sun Jul 30 2017 wbauer@tmo.at
- Fix saving the AdBlock plugin's settings if
  ~/.local/share/adblock/ does not exist (boo#1013566)
  Add fix-saving-adblock-settings.patch
* Sat Jul 15 2017 lbeltrame@kde.org
- Update to 17.04.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.3.php
- Changes since 17.04.2:
  * None
* Wed Jun  7 2017 lbeltrame@kde.org
- Update to 17.04.2
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.2.php
- Changes since 17.04.1:
  * Fix Bug 379988 - TNEF attachments not properly represented in UI (kde#379988)
  * Make sure that it's not empty
  * Make sure that we don't add empty str
  * Add autotests
  * Fix list of emails
* Wed May 17 2017 lbeltrame@kde.org
- Update to 17.04.1
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.1.php
- Changes since 17.04.0:
  * Add debug + update copyright
  * Fix mem leak
  * Minor optimization
  * Use nullptr
  * Allow catching signal when we start eventLoop not before it. Otherwise we can exist from this code
  * USe nullptr
  * Verify that qstring is really empty
  * use isEmpty here
  * Fix split emails
  * Fix multi emails
  * Add debug info
  * Fix kmail documentation
* Sun Apr 16 2017 lbeltrame@kde.org
- Update to 17.04.0
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04.0.php
- Changes since 17.03.90:
  * Use QFileInfo::exists(...)
  * Use nullptr here
  * USe QFileInfo::exist method
  * Fix label when we start to load folders
  * Use nullptr
* Wed Apr 12 2017 lbeltrame@kde.org
- Update to 17.03.90
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.04-rc.php
- Changes since 17.03.80:
  * Don't build example in release official
  * Fix show "unable to load folder"
  * Try to fix "unable to load folder" message when we filter list of folder
  * Pass calendar from memento to itiphandler to avoid loading it all over again.
  * Make "todo akonadi port" message more precise
  * WKS: fix handling of WKS v3 publishing request emails
* Sat Mar 25 2017 lbeltrame@kde.org
- Update to 17.03.80
  * New feature release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-17.03.80.php
- Changes since 16.12.3:
  * Too many changes to list here
* Thu Mar  9 2017 lbeltrame@kde.org
- Update to 16.12.3
  * New bugfix release
  * For more details please see:
  * https://www.kde.org/announcements/announce-applications-16.12.3.php
- Changes since 16.12.2:
  * None
* Thu Feb  9 2017 lbeltrame@kde.org
- Update to KDE Applications 16.12.2
  * KDE Applications 16.12.2
  * https://www.kde.org/announcements/announce-applications-16.12.2.php
* Sat Jan 14 2017 lbeltrame@kde.org
- - Update to KDE Applications 16.12.1
  * KDE Applications 16.12.1
  * https://www.kde.org/announcements/announce-applications-16.12.1.php
* Tue Dec 13 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.12.0
  * KDE Applications 16.12.0
  * https://www.kde.org/announcements/announce-applications-16.12.0.php
* Sat Dec  3 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.90
  * KDE Applications 16.12.0 RC
  * https://www.kde.org/announcements/announce-applications-16.12-rc.php
* Tue Nov 29 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.11.80
  * KDE Applications 16.12.0 Beta
  * https://www.kde.org/announcements/announce-applications-16.12-beta.php
* Wed Nov  9 2016 lbeltrame@kde.org
- Update to KDE Applications 16.08.3
  * KDE Applications 16.08.3
  * https://www.kde.org/announcements/announce-applications-16.08.3.php
* Tue Oct 11 2016 lbeltrame@kde.org
- KDE Applications 16.08.2
  https://www.kde.org/announcements/announce-applications-16.08.2.php
* Fri Sep  9 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.1
  * KDE Applications 16.08.1
  * https://www.kde.org/announcements/announce-applications-16.08.1.php
* Tue Aug 23 2016 fabian@ritter-vogt.de
- Build only on architectures supported by libqt5-qtwebengine
* Fri Aug 12 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.08.0
  * KDE Applications 16.08.0
  * https://www.kde.org/announcements/announce-applications-16.08.0.php
* Mon Aug  8 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.07.90
  * KDE Applications 16.07.90 (16.08-RC)
  * https://www.kde.org/announcements/announce-applications-16.07.90.php
* Wed Jul 27 2016 wbauer@tmo.at
- Cleanup build requirements
* Thu Jul  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.3
  * KDE Applications 16.04.3
  * https://www.kde.org/announcements/announce-applications-16.04.3.php
* Fri Jun 10 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.2
  * KDE Applications 16.04.2
  * https://www.kde.org/announcements/announce-applications-16.04.2.php
* Sat May  7 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.1
  * KDE Applications 16.04.1
  * https://www.kde.org/announcements/announce-applications-16.04.1.php
* Sun Apr 17 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.04.0
  * KDE Applications 16.04.0
  * https://www.kde.org/announcements/announce-applications-16.04.0.php
* Mon Apr 11 2016 tittiatcoke@gmail.com
- Update to KDE Applications 16.03.90
  * KDE Applications 16.04.0 RC
  * https://www.kde.org/announcements/announce-applications-16.04-rc.php
